Bug 1654565 - katello-ca-consumer-latest.noarch.rpm script, some redirect writing is wrong.
Summary: katello-ca-consumer-latest.noarch.rpm script, some redirect writing is wrong.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 06:05 UTC by shimura
Modified: 2019-10-07 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:27 UTC
Github theforeman puppet-certs pull 224 None None None 2018-11-30 15:31:43 UTC

Comment 3 Lukas Pramuk 2018-12-08 12:24:54 UTC
VERIFIED.

@satellite-6.5.0-5.beta.el7sat.noarch
katello-installer-base-3.10.0-0.1.rc1.el7sat.noarch

by a manual reproducer decribed in comment#0:

@HOST:

1) Host has docker installed and running

# service docker status
Redirecting to /bin/systemctl status docker.service
● docker.service - Docker Application Container Engine
   Loaded: loaded (/usr/lib/systemd/system/docker.service; enabled; vendor preset: disabled)
   Active: active (running) since Mon 2018-12-03 12:06:52 EST; 9min ago
     Docs: http://docs.docker.com
 Main PID: 28874 (dockerd-current)
   CGroup: /system.slice/docker.service
           ├─28874 /usr/bin/dockerd-current --add-runtime docker-runc=/usr/libexec/docker/docker-runc-current --defau...
           └─28885 /usr/bin/docker-containerd-current -l unix:///var/run/docker/libcontainerd/docker-containerd.sock ...

2) Install katello-ca-consumer rpm to the host

# yum install http://$SAT/pub/katello-ca-consumer-latest.noarch.rpm
Loaded plugins: product-id, search-disabled-repos, subscription-manager
katello-ca-consumer-latest.noarch.rpm                                                            | 7.2 kB  00:00:00     
Examining /var/tmp/yum-root-YgW2mi/katello-ca-consumer-latest.noarch.rpm: katello-ca-consumer-<SAT_FQDN>-1.0-1.noarch
Marking /var/tmp/yum-root-YgW2mi/katello-ca-consumer-latest.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package katello-ca-consumer-<SAT_FQDN>.noarch 0:1.0-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================
 Package                                                    Arch     Version Repository                            Size
========================================================================================================================
Installing:
 katello-ca-consumer-<SAT_FQDN>   noarch   1.0-1   /katello-ca-consumer-latest.noarch    16 k

Transaction Summary
========================================================================================================================
Install  1 Package

Total size: 16 k
Installed size: 16 k
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : katello-ca-consumer-<SAT_FQDN>-1.0-1.noarch                                1/1 
  Verifying  : katello-ca-consumer-<SAT_FQDN>-1.0-1.noarch                                1/1 

Installed:
  katello-ca-consumer-<SAT_FQDN>.noarch 0:1.0-1                                               

Complete!

>>> katello-ca-consumer rpm installed successfully with no postscript warning to a docker host

Comment 6 errata-xmlrpc 2019-05-14 12:39:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.